<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://redeemInfoBrowse.caption"
        focusComponent="redeemInfoesTable">
    <data readOnly="true">
        <collection id="redeemInfoesDc"
                    class="com.company.management.entity.wallet.RedeemInfo">
            <fetchPlan extends="_base">
                <property name="transaction" fetchPlan="_base">
                    <property name="account" fetchPlan="_base"/>
                    <property name="transMethod" fetchPlan="_base"/>
                    <property name="transStatus" fetchPlan="_base">
                        <property name="name"/>
                    </property>
                    <property name="transType" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader id="redeemInfoesDl">
                <query>
                    <![CDATA[select e from RedeemInfo e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" height="AUTO">
        <filter id="filter"
                dataLoader="redeemInfoesDl">
            <properties include=".*"/>
        </filter>
        <table id="redeemInfoesTable"
                    width="100%"
                    dataContainer="redeemInfoesDc" aggregationStyle="BOTTOM" aggregatable="true">
            <actions>
                <action id="edit" type="edit"/>
                <action id="excelExport" type="excelExport" caption="msg://Export"/>
            </actions>
            <columns>
                <column id="name" caption="msg://Fullname"/>
                <column id="unit" caption="msg://Amount (pcs)">
                    <aggregation type="SUM"/>
                </column>
                <column id="serialNumber" caption="msg://Serial Number"/>
                <column id="createdDate" caption="msg://Timestamp"/>
                <column id="transaction.transStatus.name" caption="msg://Status"/>
            </columns>
            <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="20"/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="editBtn" action="redeemInfoesTable.edit"/>
                <button id="redeemInfoesTableExcelExportBtn" action="redeemInfoesTable.excelExport"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
